Đến nội dung


Hình ảnh
- - - - -

[Nhờ sửa lisp] Đo tổng chiều dài đối tượng trên Autocad 2015


  • Please log in to reply
30 replies to this topic

#1 lamngoctien0810

lamngoctien0810

    biết vẽ line

  • Members
  • PipPip
  • 29 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 19 March 2015 - 06:01 PM

Chào các bác!

Em dùng các lips đo tổng chiều dài đối tượng từ Autocad 2014 trở xuống thì được, khi dùng các lips đó trên Autocad 2015 thì đều bị lỗi không dùng được.

Lips em đang dùng: http://www.cadviet.c...o_chieu_dai.rar

 

Báo lỗi:

Command: TG
CADViet.com © 2007
Select objects: Specify opposite corner: 3 found
Select objects:
Current length: 3000.0000
Requires numeric distance, two points, or option keyword.
; error: Function cancelled
Specify total length or [Angle] <1.0000>:
Select an object to change or [Undo]:

Khi chọn nhiều đoạn thẳng báo lỗi, chọn 1 đoạn thẳng thì được. Và chọn đoạn tiếp theo thì bị xóa.

Mong các bác giúp đỡ!


  • 0

#2 Tot77

Tot77

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 990 Bài viết
Điểm đánh giá: 498 (tốt)

Đã gửi 22 March 2015 - 10:12 AM

Không có cad 2015 để test, nhưng bạn thử thay command bằng command-s xem sao.


  • 0

#3 lamngoctien0810

lamngoctien0810

    biết vẽ line

  • Members
  • PipPip
  • 29 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 23 March 2015 - 09:13 AM

Không có cad 2015 để test, nhưng bạn thử thay command bằng command-s xem sao.

Không đượcc bác à nó video em thử nó trên Autocad 2014 và Autocad 2016 đây ạ.


  • 0

#4 Tot77

Tot77

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 990 Bài viết
Điểm đánh giá: 498 (tốt)

Đã gửi 23 March 2015 - 09:25 AM

Bạn thay (command "lengthen" e_name "") bằng (command-s "lengthen" e_name "" "" "")


  • 0

#5 lamngoctien0810

lamngoctien0810

    biết vẽ line

  • Members
  • PipPip
  • 29 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 23 March 2015 - 01:14 PM

Bạn thay (command "lengthen" e_name "") bằng (command-s "lengthen" e_name "" "" "")

;; free lisp from cadviet.com
;;; this lisp was downloaded from http://www.cadviet.c...line-hay-pline/
(defun add_mline ()
(foreach e_record_sub e_record
(cond ((= 10 (car e_record_sub))
(setq pt1 (cdr e_record_sub)
mline_len 0.0
)
)
((= 11 (car e_record_sub))
(setq pt2 (cdr e_record_sub)
mline_len (+ mline_len (distance pt2 pt1))
pt1 pt2
)
)
)
)
(setq tot_len (+ tot_len mline_len))
(ssdel e_name ss)
)
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;



;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(defun C:tg (/ tot_len ss e_name e_record e_type)
(princ "\nCADViet.com © 2007")
(setq tot_len 0.0)
(setq ss (ssget))
(if (null ss)
(exit)
)
(while (> (sslength ss) 0)
(setq e_name (ssname ss 0))
(setq e_record (entget e_name))
(setq e_type (cdr (assoc '0 e_record)))
(cond ((wcmatch e_type "LINE,ARC,CIRCLE,POLYLINE,LWPOLYLINE,ELLIPSE,SPLINE")
(command-s "lengthen" e_name "")
(setq tot_len (+ tot_len (getvar "PERIMETER")))
(ssdel e_name ss)
)
((wcmatch e_type "MLINE") (add_mline))
(e_type (ssdel e_name ss))
)
)
(prompt (strcat "\nTotal length is: " (rtos tot_len 2 2)))
(princ)
)
(princ "\ntg - free lisp from www.cadviet.com")
(princ)

Thay không được bác à. vẫn đo 1 thằng thôi.

Command: TG
CADViet.com © 2007
Select objects: Specify opposite corner: 2 found
Select objects:
Current length: 500.0000
Specify total length or [Angle] <500.0000>:
Select an object to change or [Undo]: *Cancel*

  • 0

#6 enix

enix

    biết vẽ ellipse

  • Members
  • PipPip
  • 56 Bài viết
Điểm đánh giá: 3 (bình thường)

Đã gửi 23 March 2015 - 02:17 PM

Không đượcc bác à nó video em thử nó trên Autocad 2014 và Autocad 2016 đây ạ.

 

Tim lisp khac thu, luc truoc cung kiem 1 lan roi co lisp chay duoc tren 2015 co lisp ko.

P.S: AutoCAD 2016 moi ra duoc vai bua bac xai thay the nao, minh moi tai ve chua cai thu nua tai may dang xai lam viec chua dam.

P.S: Bo go cua Cadviet cui bap nen go ra ae xai unikey la duoc roi, moi lan go chu tieng viet la con tro lai nhay ve dau dong muon dien cai dau  :angry2:


  • 0

#7 Tot77

Tot77

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 990 Bài viết
Điểm đánh giá: 498 (tốt)

Đã gửi 23 March 2015 - 02:19 PM

Bạn không chịu chú ý tới #4 rồi. Thôi thì đưa nguyên file đã sửa.

http://www.cadviet.c...4/127168_tg.rar


  • 2

#8 lamngoctien0810

lamngoctien0810

    biết vẽ line

  • Members
  • PipPip
  • 29 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 23 March 2015 - 06:28 PM

Bạn không chịu chú ý tới #4 rồi. Thôi thì đưa nguyên file đã sửa.

http://www.cadviet.c...4/127168_tg.rar

Cảm ơn bác rất nhiều, lips chạy ngon trên cad 2015 và 2016.


  • 0

#9 lamngoctien0810

lamngoctien0810

    biết vẽ line

  • Members
  • PipPip
  • 29 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 23 March 2015 - 06:29 PM

 

Tim lisp khac thu, luc truoc cung kiem 1 lan roi co lisp chay duoc tren 2015 co lisp ko.

P.S: AutoCAD 2016 moi ra duoc vai bua bac xai thay the nao, minh moi tai ve chua cai thu nua tai may dang xai lam viec chua dam.

P.S: Bo go cua Cadviet cui bap nen go ra ae xai unikey la duoc roi, moi lan go chu tieng viet la con tro lai nhay ve dau dong muon dien cai dau  :angry2:

Mình cũng cài song song cả bản 2014 và 2016 thấy 2016 với 2015 không khác gì nhau

PS: Mình mới cài có 2 hôm.


  • 0

#10 TRUNGNGAMY

TRUNGNGAMY

    biết lệnh block

  • Members
  • PipPipPipPipPipPip
  • 401 Bài viết
Điểm đánh giá: 91 (tàm tạm)

Đã gửi 24 March 2015 - 10:41 AM

Cad 2015 rắc rối thật, tự nhiên thêm chữ s. Mình thấy trong Arx cũng bị như vậy. Chắc phải nhận ra phiên bản để líp tự động dùng command hay command-s chứ chẵn lẽ làm 2 cái líp khác nhau rất bất tiện. Bác nào biết biến hệ thống nào phân biệt đc phiên bản cad cập nhật luôn cho anh em đỡ khổ. Cám ơn


  • 0

#11 Tot77

Tot77

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 990 Bài viết
Điểm đánh giá: 498 (tốt)

Đã gửi 24 March 2015 - 11:18 AM

Có thể thử cái này.

(if (>= (atoi (vla-get-Version (vlax-get-acad-object))) 20)
 (command-s "lengthen" e_name "" "" "")
 (command "lengthen" e_name "")
)

  • 1

#12 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5454 Bài viết
Điểm đánh giá: 2626 (tuyệt vời)

Đã gửi 24 March 2015 - 11:26 AM

Sao không lấy len bằng hàm này cho nó lành:

(vlax-curve-getDistAtParam ent (vlax-curve-getEndParam ent))


  • 0

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#13 Tot77

Tot77

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 990 Bài viết
Điểm đánh giá: 498 (tốt)

Đã gửi 24 March 2015 - 12:30 PM

Thật ra topic này là để giải thích tại sao có những lisp xài ngon lành trên cad 2014 về trước lại gặp trục trặc trên cad 2015.

Đó là do cad 2015 thay đổi một số tham số của lệnh (không riêng gì lệnh lengthen), cho nên nếu muốn xài lệnh thì phải sửa lại.

Còn nếu xài thuần lisp như bác Hạ thì không có vấn đề gì, cad nào cũng dùng tốt.


  • 0

#14 enix

enix

    biết vẽ ellipse

  • Members
  • PipPip
  • 56 Bài viết
Điểm đánh giá: 3 (bình thường)

Đã gửi 24 March 2015 - 03:14 PM

Mình cũng cài song song cả bản 2014 và 2016 thấy 2016 với 2015 không khác gì nhau

PS: Mình mới cài có 2 hôm.

 

Trước mắt thấy có nhiều tính năng đáng giá đó:

https://designandmot...h-autocad-2016/


  • 0

#15 lamngoctien0810

lamngoctien0810

    biết vẽ line

  • Members
  • PipPip
  • 29 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 25 March 2015 - 06:39 PM

 Bác Tot77 cho em hỏi luôn với. Đó là lệnh tg còn đối với lips calline [CL] em có chỉnh sửa theo kiểu lips tại sao lại không được bác nhỉ. Mong bác giúp đỡ nốt..

Khi em load trên Autocad 2016 thì báo lỗi

Command: CL

; error: quit / exit aborthttp://www.cadviet.c.../4/40413_cl.rar
  Còn cad 2015 thì cũng không đo được như các lips em đã đăng ở trên video trên.
;; free lisp from cadviet.com
;;; this lisp was downloaded from http://www.cadviet.com/forum/topic/763-routine-tinh-tong-chieu-dai-cac-doi-tuong/
;Form chuong trinh va cac thao tac
(DEFUN CALLINE(/ DCL_ID_CALLINE cd_temp ID_ha ss)  
  (setq DCL_ID_CALLINE (load_dialog "CALLINE.DCL"))
  (if (not(new_dialog "CALLINE" DCL_ID_CALLINE)) (exit))  
  (start_list "La_CL")  
  (mapcar 'add_list LiLa)
  (end_list)  
  (Setvalue_CL)
  (action_tile "Sele_CL" "(Getvalue_CL) (done_dialog 2)")
  (action_tile "Info" "(ABOUT)")
  (action_tile "ChkLa_CL" "(IsChkLa_CL)")
  (setq RES (start_dialog))  
  (if (= RES 2)
	(progn	  
	  (prompt "Chon doi tuong:")
	  (setq la_name (LANAME LiLa (atoi la_CL)))	 
	  (if (= chk_CL "1")	
	(setq ss (ssget (List (cons 8 la_name))))
	(setq ss (ssget))
	  )
	  (if (/= ss Nil)
	(progn
	  (setq n (sslength ss))
		  (setq i 0)
		  (While (< i n)
			(setq dt (ssname ss i))
		(if (OR (= (TENDOITUONG dt) "LINE")
				(= (TENDOITUONG dt) "LWPOLYLINE")
								(= (TENDOITUONG dt) "POLYLINE")
				(= (TENDOITUONG dt) "SPLINE")
				(= (TENDOITUONG dt) "ARC")
				(= (TENDOITUONG dt) "CIRCLE"))
		  (progn	  
			(setq ID_ha (ID_HANDLE dt))
			(if (IsNotExist ID_ha)
			  (progn		
				(setq List_obj (Append List_obj (List ID_ha)))
				(setq cd_temp (CDAIOBJ dt))
				(setq chieudai_CL (+ chieudai_CL cd_temp))
			  )
			  (alert "Doi tuong nay da duoc chon")
			)	  
		  )
		)  
			(setq i (+ 1 i))					   
		  )
	)  
	(alert "Khong co doi tuong nao duoc chon!")
	  )
	  (CALLINE)
	)
  )  
  (unload_dialog DCL_ID_CALLINE) 
)
;Khoi dong
(DEFUN CALINIT()
  (CREALILA)
  (if (Null La_CL)
	(setq la_CL "0")
  )  
  (setq chieudai_CL 0)
  (if (Null chk_CL)
	(setq chk_CL "0")
  )
  (setq List_obj Nil)
)
;Cai dat cac gia tri
(DEFUN Setvalue_CL()
  (set_tile "L_CL" (rtos chieudai_CL 2 2))
  (set_tile "La_CL" la_CL)
  (set_tile "ChkLa_CL" chk_CL)
  (IsChkLa_CL)
)
;Nhan gia tri
(DEFUN Getvalue_CL()
  (setq chk_CL (get_tile "ChkLa_CL"))
  (setq chieudai (atof (get_tile "L_CL")))
  (setq la_CL (get_tile "La_CL"))
)
;Nhan handle
(DEFUN ID_HANDLE (obj / idha)
  (setq idha (CDR (ASSOC 5 (ENTGET obj))))  
  idha
)
;Thay doi trang thai
(DEFUN IsChkLa_CL ()
  (if (= (get_tile "ChkLa_CL") "1")
	(mode_tile "La_CL" 0)
	(mode_tile "La_CL" 1)
  )
)
;Kiem tra ton tai
(DEFUN IsNotExist (id / l in IsOK id_temp)
  (setq IsOK T)
  (setq l (length List_obj))
  (If (= l 0)
	(setq IsOK T)
	(progn
	  (setq in 0)
	  (while (< in l)
	(setq id_temp (nth in List_obj))
	(If (= id id_temp)
	  (setq IsOK Nil)
	)
	(setq in (1+ in))
	  )
	)
  )
  IsOK
)
;Ham thong tin
(DEFUN ABOUT(/ DCL_ID_ABOUT)
  (setq DCL_ID_ABOUT (load_dialog "CALLINE.DCL"))
  (if (not(new_dialog "ABOUT" DCL_ID_ABOUT))(exit))  
  (start_list "aboutme")
  (add_list " ")  
  (add_list "  VO KIEN CUONG - Bachelor of IT")
  (add_list "  =====================================================")
  (add_list "  Email : vkcuong_23@yahoo.com")
  (add_list "  Mobile: 0983616182 - 0977352125")
  (add_list "  CAD developer (LISP, DCL, VBA for AutoCad, ObjectARX...)")  
  (add_list "  ")
  (end_list)
  (start_dialog)
  (unload_dialog DCL_ID_ABOUT)
)
;Ham thuc thi chuong trinh
(DEFUN C:CL()
  (setvar "CMDECHO" 0)
  (CALINIT)  
  (CALLINE)
  (setvar "CMDECHO" 1)
)
;Ham lai chieu dai
(DEFUN CDAIOBJ(obj / cdai)
  (command "LENGTHEN" obj "")
  (setq cdai (getvar "PERIMETER"))
  cdai
)
;ham lay ten doi tuong
(DEFUN TENDOITUONG (obj / name)
  (setq name (CDR (ASSOC 0 (ENTGET obj))))  
  name  
)
;Ham tao danh sach layer
(DEFUN CREALILA (/ NL)
  (setq LiLa (List))
  (setq NL (tblnext "LAYER" T))  
  (while NL	
	(setq LiLa (append LiLa (list (cdr (assoc 2 NL)))))
	(setq NL (tblnext "LAYER"))
  )
  (setq LiLa (Acad_strlsort LiLa))
)
;Ham lay layer
(DEFUN LANAME(LiLa index / la)
  (setq la (nth index LiLa))
  la
)

  • 0

#16 Tot77

Tot77

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 990 Bài viết
Điểm đánh giá: 498 (tốt)

Đã gửi 26 March 2015 - 08:35 AM

Thì cũng giống như #4 thôi. Kiếm dòng (command "LENGTHEN" obj "")  và thay bằng

(command-s "LENGTHEN" obj "" "" "")

Chú ý là có 3 dấu "" sau chu obj.


  • 0

#17 lamngoctien0810

lamngoctien0810

    biết vẽ line

  • Members
  • PipPip
  • 29 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 26 March 2015 - 12:22 PM

Em thay đoạn mã vào nhưng khi load lips vẫn báo lỗi.

Command: CL
; error: quit / exit abort
;; free lisp from cadviet.com
;;; this lisp was downloaded from http://www.cadviet.c...-cac-doi-tuong/
;Form chuong trinh va cac thao tac
(DEFUN CALLINE(/ DCL_ID_CALLINE cd_temp ID_ha ss)  
  (setq DCL_ID_CALLINE (load_dialog "CALLINE.DCL"))
  (if (not(new_dialog "CALLINE" DCL_ID_CALLINE)) (exit))  
  (start_list "La_CL")  
  (mapcar 'add_list LiLa)
  (end_list)  
  (Setvalue_CL)
  (action_tile "Sele_CL" "(Getvalue_CL) (done_dialog 2)")
  (action_tile "Info" "(ABOUT)")
  (action_tile "ChkLa_CL" "(IsChkLa_CL)")
  (setq RES (start_dialog))  
  (if (= RES 2)
	(progn	  
	  (prompt "Chon doi tuong:")
	  (setq la_name (LANAME LiLa (atoi la_CL)))	 
	  (if (= chk_CL "1")	
	(setq ss (ssget (List (cons 8 la_name))))
	(setq ss (ssget))
	  )
	  (if (/= ss Nil)
	(progn
	  (setq n (sslength ss))
		  (setq i 0)
		  (While (< i n)
			(setq dt (ssname ss i))
		(if (OR (= (TENDOITUONG dt) "LINE")
				(= (TENDOITUONG dt) "LWPOLYLINE")
								(= (TENDOITUONG dt) "POLYLINE")
				(= (TENDOITUONG dt) "SPLINE")
				(= (TENDOITUONG dt) "ARC")
				(= (TENDOITUONG dt) "CIRCLE"))
		  (progn	  
			(setq ID_ha (ID_HANDLE dt))
			(if (IsNotExist ID_ha)
			  (progn		
				(setq List_obj (Append List_obj (List ID_ha)))
				(setq cd_temp (CDAIOBJ dt))
				(setq chieudai_CL (+ chieudai_CL cd_temp))
			  )
			  (alert "Doi tuong nay da duoc chon")
			)	  
		  )
		)  
			(setq i (+ 1 i))					   
		  )
	)  
	(alert "Khong co doi tuong nao duoc chon!")
	  )
	  (CALLINE)
	)
  )  
  (unload_dialog DCL_ID_CALLINE) 
)
;Khoi dong
(DEFUN CALINIT()
  (CREALILA)
  (if (Null La_CL)
	(setq la_CL "0")
  )  
  (setq chieudai_CL 0)
  (if (Null chk_CL)
	(setq chk_CL "0")
  )
  (setq List_obj Nil)
)
;Cai dat cac gia tri
(DEFUN Setvalue_CL()
  (set_tile "L_CL" (rtos chieudai_CL 2 2))
  (set_tile "La_CL" la_CL)
  (set_tile "ChkLa_CL" chk_CL)
  (IsChkLa_CL)
)
;Nhan gia tri
(DEFUN Getvalue_CL()
  (setq chk_CL (get_tile "ChkLa_CL"))
  (setq chieudai (atof (get_tile "L_CL")))
  (setq la_CL (get_tile "La_CL"))
)
;Nhan handle
(DEFUN ID_HANDLE (obj / idha)
  (setq idha (CDR (ASSOC 5 (ENTGET obj))))  
  idha
)
;Thay doi trang thai
(DEFUN IsChkLa_CL ()
  (if (= (get_tile "ChkLa_CL") "1")
	(mode_tile "La_CL" 0)
	(mode_tile "La_CL" 1)
  )
)
;Kiem tra ton tai
(DEFUN IsNotExist (id / l in IsOK id_temp)
  (setq IsOK T)
  (setq l (length List_obj))
  (If (= l 0)
	(setq IsOK T)
	(progn
	  (setq in 0)
	  (while (< in l)
	(setq id_temp (nth in List_obj))
	(If (= id id_temp)
	  (setq IsOK Nil)
	)
	(setq in (1+ in))
	  )
	)
  )
  IsOK
)
;Ham thong tin
(DEFUN ABOUT(/ DCL_ID_ABOUT)
  (setq DCL_ID_ABOUT (load_dialog "CALLINE.DCL"))
  (if (not(new_dialog "ABOUT" DCL_ID_ABOUT))(exit))  
  (start_list "aboutme")
  (add_list " ")  
  (add_list "  VO KIEN CUONG - Bachelor of IT")
  (add_list "  =====================================================")
  (add_list "  Email : vkcuong_23@yahoo.com")
  (add_list "  Mobile: 0983616182 - 0977352125")
  (add_list "  CAD developer (LISP, DCL, VBA for AutoCad, ObjectARX...)")  
  (add_list "  ")
  (end_list)
  (start_dialog)
  (unload_dialog DCL_ID_ABOUT)
)
;Ham thuc thi chuong trinh
(DEFUN C:CL()
  (setvar "CMDECHO" 0)
  (CALINIT)  
  (CALLINE)
  (setvar "CMDECHO" 1)
)
;Ham lai chieu dai
(DEFUN CDAIOBJ(obj / cdai)
  (command-s "LENGTHEN" obj "" "" "")
  (setq cdai (getvar "PERIMETER"))
  cdai
)
;ham lay ten doi tuong
(DEFUN TENDOITUONG (obj / name)
  (setq name (CDR (ASSOC 0 (ENTGET obj))))  
  name  
)
;Ham tao danh sach layer
(DEFUN CREALILA (/ NL)
  (setq LiLa (List))
  (setq NL (tblnext "LAYER" T))  
  (while NL	
	(setq LiLa (append LiLa (list (cdr (assoc 2 NL)))))
	(setq NL (tblnext "LAYER"))
  )
  (setq LiLa (Acad_strlsort LiLa))
)
;Ham lay layer
(DEFUN LANAME(LiLa index / la)
  (setq la (nth index LiLa))
  la
)

Bác xem có cách nào không ah.

PS: Em dùng trên AutoCAD 2016.

Thank bác!


  • 0

#18 Tot77

Tot77

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 990 Bài viết
Điểm đánh giá: 498 (tốt)

Đã gửi 26 March 2015 - 12:44 PM

Nếu bạn dùng cái lsp trên thì phải kiếm cái file Calline.dcl gửi lên để tạo thành file Calline.vlx mới.

Còn nếu dùng cái Calline.vlx trong #1 thì vẫn báo lỗi.


  • 0

#19 lamngoctien0810

lamngoctien0810

    biết vẽ line

  • Members
  • PipPip
  • 29 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 26 March 2015 - 01:43 PM

Nếu bạn dùng cái lsp trên thì phải kiếm cái file Calline.dcl gửi lên để tạo thành file Calline.vlx mới.

Còn nếu dùng cái Calline.vlx trong #1 thì vẫn báo lỗi.

Dạ đây em gửi bác

http://www.cadviet.c...413_calline.rar


  • 0

#20 Tot77

Tot77

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 990 Bài viết
Điểm đánh giá: 498 (tốt)

Đã gửi 26 March 2015 - 02:10 PM

Đây bạn thử xem.

http://www.cadviet.c...168_calline.rar


  • 0